import os
import sys

from Models.Error import Error
from ServiceInitializer import ServiceInitializer


class Main:

    def __init__(self) -> None:
        self.__services = ServiceInitializer()
        self.__utils = self.__services.utils
        self.__repo = self.__services.repo
        self.__interpreter = self.__services.interpreter

    def console(self) -> None:
        print('sh-edraft.de basic language interpreter:')
        cont = True
        while cont:
            cont = self.__interpreter.interpret(input('> '))

    def files(self, file: str) -> None:
        if os.path.isfile(file):
            f = open(file, 'r', encoding='utf-8').readlines()
            for line in f:
                self.__interpreter.interpret(line)
        else:
            self.__repo.error = Error(1.1, 'File not found')
            self.__utils.error()


if __name__ == '__main__':
    main = Main()
    print(sys.argv)
    if len(sys.argv) == 2:
        main.files(sys.argv[1])
    else:
        main.console()
